%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('WRF')
disp('1')
disp('fig 9')

lat=load('xlatd03ToPlot.dat');
lon=load('xlond03ToPlot.dat');
Fitch_adv_off=load('fitch_ws_10m_1710_adv_off.dat');
Fitch_adv1=load('fitch_ws_10m_1710_adv1.dat');
Fitch_adv025=load('fitch_ws_10m_1710_adv025.dat');
EWP_adv_off=load('ewp_ws_10m_1710_adv_off.dat');
EWP_adv1=load('ewp_ws_10m_1710_adv1.dat');
NOFARM_adv_off=load('nofarms_ws_10m_1710_adv_off.dat');
NOFARM_adv1=load('nofarms_ws_10m_1710_adv1.dat');

% Fitch=load('fitch_ws_L2_1710.dat');
% Fitch_adv1=load('fitch_ws_L2_1710_adv1.dat');
% Fitch_adv025=load('fitch_ws_L2_1710_adv025.dat');
% EWP=load('ewp_ws_L2_1710.dat');
% NOFARM=load('nofarms_ws_L2_1710.dat');

farms=load('farms_new.dat');


c1=-2;c2=-0.1;
linnum=9;
figure
subplot(2,2,1)
contourf(lon,lat,EWP_adv1-NOFARM_adv1,linnum);hold on
colormap('bone')
%caxis([-2 -0.1]);
%colormap('viridis')
c=colorbar('limits',[c1 0])
caxis([c1 c2]);
%c.Label.String='wind speed deficit, ms^{-1}'
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.5 55.7])
title('(a)');
text(10,55.9,'\deltaws ms^{-1}')
text(5.2,55.5,'EWP-NWF');
%colorbar
%colorbar('limits',[-2 0])
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
   eval('cd c:\my_matlab_programs\OffshoreWake\MakingFiguresForPaper');

   % return

subplot(2,2,2)
c1=-2;c2=-0.1;
linnum=8;
contourf(lon,lat,Fitch_adv_off-NOFARM_adv_off,linnum);
colormap('bone')
%caxis([-2 -0.1]);
%colormap('viridis')
colorbar('limits',[c1 0])
caxis([c1 c2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.5 55.7])
title('(b)');
text(10,55.9,'\deltaws ms^{-1}')
text(5.2,55.6,'adv off');
text(5.2,55.4,'Fitch-NWF');
%colorbar
%colorbar('limits',[-2 0])
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
   eval('cd c:\my_matlab_programs\OffshoreWake\MakingFiguresForPaper');
    
%return   
subplot(2,2,3)
c1=-2;c2=-0.1;
linnum=10;
contourf(lon,lat,Fitch_adv1-NOFARM_adv1,linnum);
colormap('bone')
%caxis([-2 -0.1]);
%colormap('viridis')
colorbar('limits',[c1 0])
caxis([c1 c2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.5 55.7])
title('(c)');
text(10,55.9,'\deltaws ms^{-1}')
text(5.2,55.6,'adv on \alpha=1');
text(5.2,55.4,'Fitch-NWF');
%colorbar
%colorbar('limits',[-2 0])
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
  eval('cd c:\my_matlab_programs\OffshoreWake\MakingFiguresForPaper');
  
subplot(2,2,4)
linnum=9;
c1=-2;c2=-0.1;
contourf(lon,lat,Fitch_adv025-NOFARM_adv1,linnum);
colormap('bone')
%caxis([-2 -0.1]);
%colormap('viridis')
colorbar('limits',[c1 0])
caxis([c1 c2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.5 55.7])
title('(d)');
text(10,55.9,'\deltaws ms^{-1}')
text(5.2,55.6,'adv on \alpha=0.25');
text(5.2,55.4,'Fitch-NWF');%colorbar
%colorbar('limits',[-2 0])
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake\MakingFiguresForPaper');

%return

return

%The following is for testimg

c1=-2;c2=-0.1;
linnum=8;
figure
%subplot(2,2,1)
%contourf(lon,lat,EWP_adv1-NOFARM_adv1,linnum);hold on
contourf(lon,lat,Fitch_adv025-NOFARM_adv_off,linnum);hold on
%contourf(lon,lat,NOFARM_adv1-NOFARM_adv_off,linnum);hold on
colormap('bone')
%caxis([-2 -0.1]);
%colormap('viridis')
c=colorbar('limits',[c1 0])
caxis([c1 c2]);
%c.Label.String='wind speed deficit, ms^{-1}'
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.5 55.7])
title('(a)');
text(10,55.9,'ms^{-1}')
%text(5.2,55.5,'EWP-NWF');
%colorbar
%colorbar('limits',[-2 0])
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake\MakingFiguresForPaper');

   % return

return



disp(' ');
linnum=10;
subplot(2,2,1)
contourf(lon,lat,Fitch,linnum);
colormap('bone')
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.1 55.7])
title('(a) Fitch');

colorbar
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake');

%return
subplot(2,2,2)
contourf(lon,lat,EWP,linnum);hold on
colormap('bone')
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.1 55.7])
title('(b) EWP');
colorbar

lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake');
%return

linnum=5;
subplot(2,2,3)
contourf(lon,lat,Fitch-NOFARM,linnum);
colormap('bone')
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.1 55.7])
title('(c) Fitch-NWF');
colorbar
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake');

%return
subplot(2,2,4)
contourf(lon,lat,EWP-NOFARM,linnum);hold on
colormap('bone')
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.1 55.7])
title('(d) EWP-NWF');
colorbar

lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake');

return
figure

linnum=5;
contourf(lon,lat,Fitch-EWP,linnum);
colormap('bone')
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.1 55.7])
%title('(a)');
text(5.2,53.3,'Fitch-EWP');
colorbar
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake');


return