%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('1')
disp('fig 15')

lat=load('xlatd03ToPlot.dat');
lon=load('xlond03ToPlot.dat');
%Fitch_tke=load('TKE_Fitch_1530.dat');
Fitch_tke_adv100=load('TKE_Fitch_1530_adv100.dat');
Fitch_tke_adv025=load('TKE_Fitch_1530_adv025.dat');
Fitch_tke=load('TKE_Fitch_1530_adv000.dat');
EWP_tke=load('TKE250m_EWP_1530_adv100.dat');

farms=load('farms_new.dat');


figure



disp(' ');
linnum=10;


%return
subplot(2,2,1)
contourf(lon,lat,EWP_tke,linnum*2);hold on
colormap('viridis')
colorbar('limits',[0 1.2])
caxis([0 1.2]);
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.5,54.18,'EWP','color','white')
text(7.5,54.22,'m^2s^{-2}')
title('(a)');
colorbar

subplot(2,2,2)
contourf(lon,lat,Fitch_tke,5);
%colormap('jet')
colormap('viridis')
colorbar('limits',[0 1.2])
caxis([0 1.2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.5,54.18,'Fitch','color','white')
text(6.5,54.14,'adv off','color','white')
text(7.5,54.22,'m^2s^{-2}')
title('(b)');
colorbar

subplot(2,2,3)
contourf(lon,lat,Fitch_tke_adv100,5);
colormap('viridis')
colorbar('limits',[0 1.2])
caxis([0 1.2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.5,53.92,'Fitch','color','white')
text(6.5,53.88,'adv on, \alpha=1','color','white')
text(7.5,54.22,'m^2s^{-2}')
title('(c)');
colorbar

subplot(2,2,4)
contourf(lon,lat,Fitch_tke_adv025,5);
colormap('viridis')
colorbar('limits',[0 1.2])
caxis([0 1.2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.5,53.92,'Fitch','color','white')
text(6.5,53.88,'adv on, \alpha=0.25','color','white')
text(7.5,54.22,'m^2s^{-2}')

title('(d)');
colorbar

return
figure



disp(' ');
linnum=10;

contourf(lon,lat,Fitch_tke-EWP_tke,linnum);
colormap('jet')
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])

colorbar

return
