%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('LLJ at Point-A over farm')
disp('1')
disp('Fig. 7')



fitch_15=load('Fitch_P2_profile_WS_DIR_T_TKE_20171014at15_adv_off.dat');
ewp_15=load('EWP_P2_profile_WS_DIR_T_TKE_20171014at15.dat');
nofarm_15=load('NWF_P2_profile_WS_DIR_T_TKE_20171014at15.dat');

fitch_adv1_15=load('Fitch_P2_profile_WS_DIR_T_TKE_20171014at15_adv1.dat');
fitch_adv025_15=load('Fitch_P2_profile_WS_DIR_T_TKE_20171014at15_adv025.dat');
%fitch_old025=load('../Fitch_P2_profile_WS_DIR_T_TKE_20171014at15_adv025.dat');
%fitch_old1=load('../Fitch_old_P2_profile_WS_DIR_T_TKE_20171014at15_adv1.dat');



figure

subplot(2,2,1)

g1=plot(nofarm_15(:,2),nofarm_15(:,1),'k-','linewidth',1.5);hold on
g2=plot(ewp_15(:,2),ewp_15(:,1),'b-','linewidth',1.5);
g3=plot(fitch_adv1_15(:,2),fitch_adv1_15(:,1),'-','linewidth',1.5,'color',[0.85,0.33,0.10]);
g4=plot(fitch_adv025_15(:,2),fitch_adv025_15(:,1),':','linewidth',1.5,'color',[0.30,0.75,0.93]);
g5=plot(fitch_15(:,2),fitch_15(:,1),'g--','linewidth',1.5);
%plot(fitch_old025(:,2),fitch_old025(:,1),'-','linewidth',1.5,'color',[0.30,0.75,0.93]);
%g6=plot(fitch_old1(:,2),fitch_old1(:,1),':','linewidth',1.5,'color',[0.85,0.33,0.10]);

plot([16.5 16.5],[0 110],'k-','linewidth',3);
plot([16.3 16.4],[33 187],'k-','linewidth',1.5);
%g4=plot(13.38,250,'r*');
%legend([g1,g2,g3,g4],{'Fitch','EWP','NWF','Flight data'},'Location','northwest')
legend([g1,g2,g3,g4,g5,g6],{'NWF','EWP','Fitch adv on alpha=1','Fitch adv on alpha=0.25','Fitch adv off'},'Location','northwest')

xlabel('WS m s^{-1}');ylabel('Height m')
axis([7.5 17 0 600])
title('(a)')

subplot(2,2,2)
plot(nofarm_15(:,5)/2,nofarm_15(:,1),'k-','linewidth',1.5);hold on
plot(ewp_15(:,5)/2,ewp_15(:,1),'b-','linewidth',1.5);
plot(fitch_adv1_15(:,5)/2,fitch_adv1_15(:,1),'-','linewidth',1.5,'color',[0.85,0.33,0.10]);
plot(fitch_adv025_15(:,5)/2,fitch_adv025_15(:,1),':','linewidth',1.5,'color',[0.30,0.75,0.93]);
plot(fitch_15(:,5)/2,fitch_15(:,1),'g--','linewidth',1.5);
%plot(fitch_old025(:,5)/2,fitch_old025(:,1),'-','linewidth',1.5,'color',[0.30,0.75,0.93]);
%plot(fitch_old1(:,5)/2,fitch_old1(:,1),':','linewidth',1.5,'color',[0.85,0.33,0.10]);
%legend('Fitch','EWP','NWF','Location','northwest')
plot([1.6 1.6],[0 110],'k-','linewidth',3);
plot([1.57 1.59],[33 187],'k-','linewidth',1.5)
%plot(1.027,250,'r*');
xlabel('TKE m^2 s^{-2}');ylabel('Height m')
axis([0 2.5 0 600])
title('(b)')

return




