%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('fig. 8')

ws_obs=load('ws_100m_obs_Fino1.dat');
%ws_fitch_r=load('ws_100m_Fitch_fino1.dat');
%ws_ewp_r=load('ws_100m_EWP_fino1.dat');
%ws_nofarm_r=load('ws_100m_nofarm_fino1.dat');

%ws_obs_l=load('ws_100m_obs_Fino1_Left1.dat');
%ws_fitch_l=load('ws_100m_Fitch_fino1_Left1.dat');
%ws_ewp_l=load('ws_100m_EWP_fino1_Left1.dat');
%ws_nofarm_l=load('ws_100m_nofarm_fino1_Left1.dat');

dir_obs=load('dir_90m_obs_Fino1.dat');
% dir_fitch_r=load('dir_90m_Fitch_fino1.dat');
% dir_ewp_r=load('dir_90m_EWP_fino1.dat');
% dir_nofarm_r=load('dir_90m_nofarms_fino1.dat');
% 
% dir_fitch_l=load('dir_100m_Fitch_fino1_Left1.dat');
% dir_ewp_l=load('dir_100m_EWP_fino1_Left1.dat');
% dir_nofarm_l=load('dir_100m_nofarm_fino1_Left1.dat');

ws_fitch_adv1=load('timeseries_FINO1_Fitch_adv1.dat');
ws_fitch_adv025=load('timeseries_FINO1_Fitch_adv025.dat');
ws_fitch_ave=load('timeseries_FINO1_Fitch_adv_off.dat');
%ws_fitch_ave=ws_fitch_l(:,2).*0.32+ws_fitch_r(:,2).*0.68;
%ws_ewp_ave=ws_ewp_l(:,2).*0.32+ws_ewp_r(:,2).*0.68;
%ws_nofarm_ave=ws_nofarm_l(:,2).*0.32+ws_nofarm_r(:,2).*0.68;
ws_ewp_ave=load('timeseries_FINO1_EWP_adv1.dat');
ws_nofarm_ave=load('timeseries_FINO1_nofarm_adv1.dat');


dir_fitch_adv1=load('timeseries_dir_FINO1_Fitch_adv1.dat');
dir_fitch_adv025=load('timeseries_dir_FINO1_Fitch_adv025.dat');
dir_fitch_ave=load('timeseries_dir_FINO1_Fitch_adv_off.dat');
%dir_fitch_ave=dir_fitch_l(:,2).*0.32+dir_fitch_r(:,2).*0.68;
%dir_ewp_ave=dir_ewp_l(:,2).*0.32+dir_ewp_r(:,2).*0.68;
%dir_nofarm_ave=dir_nofarm_l(:,2).*0.32+dir_nofarm_r(:,2).*0.68;
dir_ewp_ave=load('timeseries_dir_FINO1_EWP_adv1.dat');
dir_nofarm_ave=load('timeseries_dir_FINO1_nofarm_adv1.dat');

time=ws_fitch_adv1(:,1);

figure

subplot(2,2,1)
plot(ws_obs(:,1),ws_obs(:,2),'.','color',[0.5,0.5,0.5],'markersize',15);hold on
plot(time,ws_nofarm_ave(:,2),'k-','linewidth',1.5);
plot(time,ws_ewp_ave(:,2),'b-','linewidth',1.5);
plot(time,ws_fitch_adv1(:,2),'-','linewidth',1.5,'color',[0.85,0.33,0.10]);
plot(time,ws_fitch_adv025(:,2),':','linewidth',1.5,'color',[0.30,0.75,0.93]);
plot(time,ws_fitch_ave(:,2),'g--','linewidth',1.5);
xlabel('Hour on 14^{th}, Oct');ylabel('WS 100 m, ms^{-1}')
legend('OBS','NWF','EWP','Fitch adv on \alpha=1','Fitch adv on \alpha=0.25','Fitch adv off','Location','SouthWest')
axis([10 24 4 16])
title('(a)')

%return

subplot(2,2,2)
plot(dir_obs(:,1),dir_obs(:,2),'.','color',[0.5,0.5,0.5],'markersize',15);hold on
plot(time,dir_nofarm_ave(:,2),'k-','linewidth',1.5);
plot(time,dir_ewp_ave(:,2),'b-','linewidth',1.5);
plot(time,dir_fitch_adv1(:,2),'-','linewidth',1.5,'color',[0.85,0.33,0.10]);
plot(time,dir_fitch_adv025(:,2),':','linewidth',1.5,'color',[0.30,0.75,0.93]);
plot(time,dir_fitch_ave(:,2),'g--','linewidth',1.5);
xlabel('Hour on 14^{th}, Oct');ylabel('DIR 90 m, ^\circ')
axis([10 24 0 360])
title('(b)')

