%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('1')
disp('fig 14')

lat=load('xlatd03ToPlot.dat');
lon=load('xlond03ToPlot.dat');
%Fitch_tke=load('WS250m_Fitch_1530.dat');
Fitch_ws_adv100=load('WS250m_Fitch_1530_adv100.dat');
Fitch_ws_adv025=load('WS250m_Fitch_1530_adv025.dat');
Fitch_ws=load('WS250m_Fitch_1530_adv000.dat');
EWP_ws=load('WS250m_EWP_1530_adv100.dat');

farms=load('farms_new.dat');


figure



disp(' ');
linnum=10;
c1=11;
c2=14;
textc='black';

%return
subplot(2,2,1)
contourf(lon,lat,EWP_ws,linnum*2);hold on
colormap('viridis')
colorbar('limits',[c1 c2])
caxis([c1 c2]);
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.6,54.18,'EWP','color',textc)
text(7.5,54.23,'ws ms^{-1}')
title('(a)');
colorbar

subplot(2,2,2)
contourf(lon,lat,Fitch_ws,linnum*2);
%colormap('jet')
colormap('viridis')
colorbar('limits',[c1 c2])
caxis([c1 c2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.6,54.18,'Fitch','color',textc)
text(6.6,54.14,'adv off','color',textc)
text(7.5,54.23,'ws ms^{-1}')
title('(b)');
colorbar

subplot(2,2,3)
contourf(lon,lat,Fitch_ws_adv100,linnum*2);
colormap('viridis')
colorbar('limits',[c1 c2])
caxis([c1 c2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.6,53.92,'Fitch','color',textc)
text(6.6,53.88,'adv on, \alpha=1','color',textc)
text(7.5,54.23,'ws ms^{-1}')
title('(c)');
colorbar

subplot(2,2,4)
contourf(lon,lat,Fitch_ws_adv025,linnum*2);
colormap('viridis')
colorbar('limits',[c1 c2])
caxis([c1 c2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.6,53.92,'Fitch','color',textc)
text(6.6,53.88,'adv on, \alpha=0.25','color',textc)
text(7.5,54.23,'ws ms^{-1}')
title('(d)');
colorbar

return
figure



disp(' ');
linnum=10;

contourf(lon,lat,Fitch_tke-EWP_tke,linnum);
colormap('jet')
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])

colorbar

return
