%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('1')
disp('Fig 10')

tke1=load('TKE1_2km.dat');
tke2=load('TKE2_2km.dat');
tke3=load('TKE3_2km.dat');
tke4=load('TKE4_2km.dat');
tke5=load('TKE5_2km.dat');
tke6=load('TKE6_2km.dat');

ws1=load('WS1_2km.dat');
ws2=load('WS2_2km.dat');
ws3=load('WS3_2km.dat');
ws4=load('WS4_2km.dat');
ws5=load('WS5_2km.dat');
ws6=load('WS6_2km.dat');

Fws1=load('FITCH_off_WS_ROW_250m_14PM_FLIGHT.dat');
Fws2=load('FITCH_off_WS_ROW_250m_15PM_FLIGHT.dat');


Ews1=load('EWP_WS_ROW_250m_14PM_FLIGHT.dat');
Ews2=load('EWP_WS_ROW_250m_15PM_FLIGHT.dat');

Nws1=load('NWF_WS_ROW_250m_14PM_FLIGHT.dat');
Nws2=load('NWF_WS_ROW_250m_15PM_FLIGHT.dat');



Ftke1=load('FITCH_off_QKE_ROW_250m_14PM_FLIGHT.dat');
Ftke2=load('FITCH_off_QKE_ROW_250m_15PM_FLIGHT.dat');


Etke1=load('EWP_QKE_ROW_250m_14PM_FLIGHT.dat');
Etke2=load('EWP_QKE_ROW_250m_15PM_FLIGHT.dat');


Ntke1=load('NWF_QKE_ROW_250m_14PM_FLIGHT.dat');
Ntke2=load('NWF_QKE_ROW_250m_15PM_FLIGHT.dat');





figure
subplot(2,1,1)
g1=plot(ws1(:,1),ws1(:,2),'-','color',[0.5,0.5,0.5]);hold on
plot(ws2(:,1),ws2(:,2),'-','color',[0.5,0.5,0.5]);
plot(ws3(:,1),ws3(:,2),'-','color',[0.5,0.5,0.5]);
plot(ws4(:,1),ws4(:,2),'-','color',[0.5,0.5,0.5]);
plot(ws5(:,1),ws5(:,2),'-','color',[0.5,0.5,0.5]);
plot(ws6(:,1),ws6(:,2),'-','color',[0.5,0.5,0.5]);
g2=plot(Fws1(:,1),Fws1(:,2),'g--','linewidth',1);
plot(Fws1(:,1),Fws1(:,5),'g--','linewidth',1);
plot(Fws2(:,1),Fws2(:,2),'g--','linewidth',1);
plot(Fws2(:,1),Fws2(:,5),'g--','linewidth',1);
g3=plot(Ews1(:,1),Ews1(:,2),'b-','linewidth',1);
plot(Ews1(:,1),Ews1(:,5),'b-','linewidth',1);
plot(Ews2(:,1),Ews2(:,2),'b-','linewidth',1);
plot(Ews2(:,1),Ews2(:,5),'b-','linewidth',1);
g4=plot(Nws1(:,1),Nws1(:,2),'k-','linewidth',1.2);
plot(Nws1(:,1),Nws1(:,5),'k-','linewidth',1.2);
plot(Nws2(:,1),Nws2(:,2),'k-','linewidth',1.2);
plot(Nws2(:,1),Nws2(:,5),'k-','linewidth',1.2);
plot([53.99 54.09],[8.5 8.5],'k-','linewidth',5);
legend([g1 g4,g3,g2 ],{'OBS','NWF','EWP','Fitch adv off'},'Location','southwest')
xlabel('Latitude^\circ');ylabel('WS, ms^{-1}')
%legend('OBS','Fitch 14:00 250m','EWP 14:00 250m','EWP 13:00 250m','EWP 15:00 250m','EWP 14:00 220m','No Farm 14:00 250m','Location','BestOutside')
axis([53.9 54.25 8.5 18])
title('(a)')

subplot(2,1,2)
g1=plot(tke1(:,1),tke1(:,2),'-','color',[0.5,0.5,0.5]);hold on
plot(tke2(:,1),tke2(:,2),'-','color',[0.5,0.5,0.5]);
plot(tke3(:,1),tke3(:,2),'-','color',[0.5,0.5,0.5]);
plot(tke4(:,1),tke4(:,2),'-','color',[0.5,0.5,0.5]);
plot(tke5(:,1),tke5(:,2),'-','color',[0.5,0.5,0.5]);
plot(tke6(:,1),tke6(:,2),'-','color',[0.5,0.5,0.5]);
g2=plot(Ftke1(:,1),0.5.*Ftke1(:,2),'g--','linewidth',1);
plot(Ftke2(:,1),0.5.*Ftke1(:,5),'g--','linewidth',1);
plot(Ftke2(:,1),0.5.*Ftke2(:,2),'g--','linewidth',1);
plot(Ftke2(:,1),0.5.*Ftke2(:,5),'g--','linewidth',1);
g3=plot(Etke1(:,1),0.5.*Etke1(:,2),'b-','linewidth',1);
plot(Etke2(:,1),0.5.*Etke1(:,5),'b-','linewidth',1);
plot(Etke2(:,1),0.5.*Etke2(:,2),'b-','linewidth',1);
plot(Etke2(:,1),0.5.*Etke2(:,5),'b-','linewidth',1);
g4=plot(Ntke1(:,1),0.5.*Ntke1(:,2),'k-','linewidth',1.2);
plot(Ntke1(:,1),0.5.*Ntke1(:,5),'k-','linewidth',1.2);
plot(Ntke2(:,1),0.5.*Ntke2(:,2),'k-','linewidth',1.2);
plot(Ntke1(:,1),0.5.*Ntke2(:,5),'k-','linewidth',1.2);
plot([53.99 54.09],[0.01 0.01],'k-','linewidth',5);
%legend([g1 g2 g3 g4],{'OBS','Fitch','EWP','NWF'},'Location','northwest')
xlabel('Latitude^\circ');ylabel('TKE, m^2s^{-2}')
%legend('OBS','Fitch 14:00 250m','EWP 14:00 250m','EWP 13:00 250m','EWP 15:00 250m','EWP 14:00 220m','No Farm 14:00 250m','Location','BestOutside')
axis([53.9 54.25 0 2.2])
title('(b)')


