%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('transect-red')
disp('figure 12')

latred=load('farm_lat_red.dat');
lonred=load('farm_z_red.dat');
red_Fitch_ws=load('Line_Red_Fitch_WS_adv000.dat');
red_EWP_ws=load('Line_Red_EWP_WS_adv100.dat');
red_Fitch_tke=load('Line_Red_Fitch_TKE_adv000.dat');
red_EWP_tke=load('Line_Red_EWP_TKE_adv100.dat');

red_Fitch_ws_adv1=load('Line_Red_Fitch_WS_adv100.dat');
red_Fitch_tke_adv1=load('Line_Red_Fitch_TKE_adv100.dat');

red_Fitch_ws_adv025=load('Line_Red_Fitch_WS_adv025.dat');
red_Fitch_tke_adv025=load('Line_Red_Fitch_TKE_adv025.dat');

% figure
% 
% contourf(latred,lonred,red_Fitch_tke-red_EWP_tke,linnum);
% xlabel('Latitude ^\circ');ylabel('Height m');
% colorbar
% %return
% return
figure


asr=0.5;
%rtop=183;
disp(' ');
linnum=10;
subplot(4,2,1)
contourf(latred,lonred,red_EWP_ws,linnum);hold on
%colormap('jet');
colormap('viridis')
caxis([8 15]);
plot([53.99 54.09],[10 10],'w-','linewidth',5);
plot([54.3 54.3],[0 110],'w-','linewidth',3);
plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(53.9,600,'EWP','color','w')
text(54.41,720,'ws ms^{-1}')
title('(a)');
c=colorbar;
%c.Label.String = 'WS, m s^{-1}';
colorbar('limits',[8 15])


subplot(4,2,2)
contourf(latred,lonred,red_EWP_tke,linnum);hold on
%colormap('jet');
colormap('viridis')
caxis([0 2.3]);
plot([53.99 54.09],[10 10],'w-','linewidth',5);
plot([54.3 54.3],[0 110],'w-','linewidth',3);
plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(53.9,600,'EWP','color','w')
 text(54.41,720,'TKE m^{2}s^{-2}')
title('(b)');
c=colorbar;
%c.Label.String = 'TKE, m^2s^{-2}';
colorbar('limits',[0 2.3])


subplot(4,2,3)
%contourf(latred,lonred,red_Fitch_ws_adv025,linnum);hold on
contourf(latred,lonred,red_Fitch_ws_adv1,linnum);hold on
colormap('viridis')
caxis([8 15]);
plot([53.99 54.09],[10 10],'w-','linewidth',5);
plot([54.3 54.3],[0 110],'w-','linewidth',3);
plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(53.9,600,'Fitch, \alpha=1','color','w')
text(54.41,720,'ws ms^{-1}')
title('(c)');
c=colorbar;
%c.Label.String = 'WS, m s^{-1}'
colorbar('limits',[8 15])
%return


subplot(4,2,4)
%contourf(latred,lonred,red_Fitch_tke_adv025,linnum);hold on
contourf(latred,lonred,red_Fitch_tke_adv1,linnum);hold on
colormap('viridis')
%caxis([0 1.3]);
caxis([0 2.3]);
plot([53.99 54.09],[10 10],'w-','linewidth',5);
plot([54.3 54.3],[0 110],'w-','linewidth',3);
plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(53.9,600,'Fitch, \alpha=1','color','w')
text(54.41,720,'TKE m^{2}s^{-2}')
title('(d)');
c=colorbar;
%c.Label.String = 'TKE, m^2s^{-2}';
%colorbar('limits',[0 1.3])
colorbar('limits',[0 2.3])


subplot(4,2,5)
contourf(latred,lonred,red_Fitch_ws_adv025,linnum);hold on
%contourf(latred,lonred,red_Fitch_ws_adv1,linnum);hold on
colormap('viridis')
caxis([8 15]);
plot([53.99 54.09],[10 10],'w-','linewidth',5);
plot([54.3 54.3],[0 110],'w-','linewidth',3);
plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(53.9,600,'Fitch, \alpha=0.25','color','w')
title('(e)');
text(54.41,720,'ws ms^{-1}')
c=colorbar;
%c.Label.String = 'WS, m s^{-1}'
colorbar('limits',[8 15])
%return


subplot(4,2,6)
contourf(latred,lonred,red_Fitch_tke_adv025,linnum);hold on
%contourf(latred,lonred,red_Fitch_tke_adv1,linnum);hold on
colormap('viridis')
%caxis([0 1.3]);
caxis([0 2.3]);
plot([53.99 54.09],[10 10],'w-','linewidth',5);
plot([54.3 54.3],[0 110],'w-','linewidth',3);
plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(53.9,600,'Fitch, \alpha=0.25','color','w')
text(54.41,720,'TKE m^{2}s^{-2}')
title('(f)');
c=colorbar;
c.Label.String = 'TKE, m^2s^{-2}';
%colorbar('limits',[0 1.3])
colorbar('limits',[0 2.3])



subplot(4,2,7)
contourf(latred,lonred,red_Fitch_ws,linnum);hold on
%colormap('jet');
colormap('viridis')
caxis([8 15]);
plot([53.99 54.09],[10 10],'w-','linewidth',5);
plot([54.3 54.3],[0 110],'w-','linewidth',3);
plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(53.9,600,'Fitch, adv off','color','w')
text(54.41,720,'ws ms^{-1}')
title('(g)');
c=colorbar;
colorbar('limits',[8 15])
%return
subplot(4,2,8)
contourf(latred,lonred,red_Fitch_tke,linnum);hold on
%colormap('jet')
colormap('viridis')
%caxis([0 1.3]);
caxis([0 2.3]);
plot([53.99 54.09],[10 10],'w-','linewidth',5);
plot([54.3 54.3],[0 110],'w-','linewidth',3);
plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(53.9,600,'Fitch, adv off','color','w')
text(54.41,720,'TKE m^{2}s^{-2}')
title('(h)');
c=colorbar;
c.Label.String = 'TKE, m^2s^{-2}';
%colorbar('limits',[0 1.3])
colorbar('limits',[0 2.3])
%return

%COARSE COASTLINE
%hold on
%load coast
%plot(long,lat,'color',[0.5,0.5,0.5],'linewidth',3);hold on;
%return
